### Property

# Gio Settings:schema

deprecated: 2.32

#### Declaration

    property schema: utf8 [ read, write, construct-only ]

#### Description

The name of the schema that describes the types of keys for this `GSettings` object.

The type of this property is not `GSettingsSchema`. `GSettingsSchema` has only existed since version 2.32 and unfortunately this name was used in previous versions to refer to the schema ID rather than the schema itself. Take care to use the ‘settings-schema’ property if you wish to pass in a `GSettingsSchema`.

Type:`gchar*`

Deprecated since: 2.32

Use the ‘schema-id’ property instead. In a future version, this property may instead refer to a `GSettingsSchema`.

Default value | NULL

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes